#ifndef PAMVMCPARTICLE_H
#define PAMVMCPARTICLE_H

#include <TParticle.h>

class PamVMCParticle: public TParticle{

 public:
  PamVMCParticle():TParticle(){; }
  PamVMCParticle(Int_t pdg, Int_t status,
             Int_t mother1, Int_t mother2,
             Int_t daughter1, Int_t daughter2,
             Double_t px, Double_t py, Double_t pz, Double_t etot,
	     Double_t vx, Double_t vy, Double_t vz, Double_t time):
    TParticle(pdg,status,mother1,mother2,daughter1,daughter2,px,py,pz,etot,vx,vy,vz,time){;}
  // PamVMCParticle(Int_t pdg, Int_t status,
  //         Int_t mother1, Int_t mother2,
  //         Int_t daughter1, Int_t daughter2,
  //         const TLorentzVector &p,
  //     const TLorentzVector &v):
  //TParticle(pdg,status,mother1, mother2,daughter1,daughter2, p, v);

  virtual ~PamVMCParticle(){;}

  virtual void Clear(Option_t * = ""){ this->~PamVMCParticle(); }

  ClassDef(PamVMCParticle,1)
};
#endif // PAMVMCPARTICLE_H
